Bug 425960 - Crash when opening a folder on a Windows server
Crash when opening a folder on a Windows server
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-17 08:56 EST by Kjartan Maraas
Modified: 2015-03-03 17:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-07 08:10:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2007-12-17 08:56:44 EST
Description of problem:

I get this crash when I try to open a folder on our server at work:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb7f38710 (LWP 16262)]
istr_hash (key=0x0) at nautilus-directory-async.c:170
170		for (p = key; *p != '\0'; p++) {
(gdb) thread apply all bt

Thread 6 (Thread 0xb307ab90 (LWP 16364)):
#0  0x0012d402 in __kernel_vsyscall ()
#1  0x00eaf932 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0x00c36003 in g_cond_timed_wait_posix_impl (cond=0x8674558, 
    entered_mutex=0x80, abs_time=0x2a9) at gthread-posix.c:242
#3  0x00c91dc1 in g_async_queue_pop_intern_unlocked (queue=0x864de70, 
    try=<value optimized out>, end_time=0xb307a334) at gasyncqueue.c:341
#4  0x00cd44b3 in g_thread_pool_thread_proxy (data=0x864de38)
    at gthreadpool.c:220
#5  0x00cd272f in g_thread_create_proxy (data=0xb7034910) at gthread.c:635
#6  0x00eab4fb in start_thread (arg=0xb307ab90) at pthread_create.c:297
#7  0x00f9542e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7f38710 (LWP 16262)):
#0  istr_hash (key=0x0) at nautilus-directory-async.c:170
#1  0x00ca2d48 in IA__g_hash_table_replace (hash_table=0xb70013a0, key=0x0, 
    value=0x0) at ghash.c:236
#2  0x080e6601 in istr_set_insert (table=0xb70013a0, 
    istr=<value optimized out>) at nautilus-directory-async.c:189
#3  0x080e97a4 in dequeue_pending_idle_callback (callback_data=0x8905a28)
    at nautilus-directory-async.c:848
---Type <return> to continue, or q <return> to quit---
#4  0x080e9a49 in directory_load_callback (handle=0xa5, 
    result=GNOME_VFS_ERROR_EOF, list=0xb7036cd0, entries_read=19, 
    callback_data=0x8905a28) at nautilus-directory-async.c:1035
#5  0x00b59c29 in dispatch_job_callback (data=0x88837c8) at gnome-vfs-job.c:237
#6  0x00cad541 in g_idle_dispatch (source=0x887f5b8, callback=0, 
    user_data=0x88837c8) at gmain.c:4132
#7  0x00caf10c in IA__g_main_context_dispatch (context=0x864c0c8)
    at gmain.c:2061
#8  0x00cb254f in g_main_context_iterate (context=0x864c0c8, block=1, 
    dispatch=1, self=0x86253b8) at gmain.c:2694
#9  0x00cb28f9 in IA__g_main_loop_run (loop=0x8698800) at gmain.c:2898
#10 0x006ff3ca in IA__gtk_main () at gtkmain.c:1163
#11 0x0807be3d in main (argc=Cannot access memory at address 0x0
) at nautilus-main.c:556
#12 0x00ed54a0 in __libc_start_main (main=0x807b730 <main>, argc=5, 
    ubp_av=0xbf82a154, init=0x813e330 <__libc_csu_init>, 
    fini=0x813e320 <__libc_csu_fini>, rtld_fini=0x11e9a0 <_dl_fini>, 
    stack_end=0xbf82a14c) at libc-start.c:220
#13 0x08065f91 in _start ()

Not sure what's special about that folder though other than having an underscore
in the name?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Darwin H. Webb 2008-04-06 13:10:39 EDT
rawhide 2008-04-06 updates of Gnome cause selecting file on Nautilus right pane
to crash it. Folders, pix can be selected by not files.
Also occurs selecting file on Windows share.
Occurs on 2 systems i686.
SELinux relabelrd, setenfore 0 or 1.

Apr 06 09:14:34 Updated: selinux-policy-3.3.1-28.fc9.noarch
Apr 06 09:14:34 Updated: 1:control-center-filesystem-2.22.0-4.fc9.i386
Apr 06 09:15:45 Updated: selinux-policy-devel-3.3.1-28.fc9.noarch
Apr 06 09:16:48 Updated: selinux-policy-targeted-3.3.1-28.fc9.noarch
Apr 06 09:16:55 Updated: system-config-keyboard-1.2.14-2.fc9.noarch
Apr 06 09:16:56 Updated: gnome-panel-libs-2.22.0-11.fc9.i386
Apr 06 09:17:01 Updated: gnome-desktop-2.22.0-6.fc9.i386
Apr 06 09:17:47 Updated: gnome-settings-daemon-2.22.1-0.2008.03.26.5.fc9.i386
Apr 06 09:18:39 Updated: 1:control-center-2.22.0-4.fc9.i386
Apr 06 09:18:39 Updated: ConsoleKit-libs-0.2.10-3.fc9.i386
Apr 06 09:18:40 Updated: ConsoleKit-0.2.10-3.fc9.i386
Apr 06 09:18:41 Updated: libvolume_id-120-2.fc9.i386
Apr 06 09:18:44 Updated: 2:shadow-utils-4.1.1-1.fc9.i386
Apr 06 09:19:19 Updated: 1:gdm-2.21.10-0.2008.04.04.2.fc9.i386
Apr 06 09:19:20 Updated: 1:gdm-user-switch-applet-2.21.10-0.2008.04.04.2.fc9.i386

Apr 06 09:19:23 Updated: udev-120-2.fc9.i386
Apr 06 09:19:23 Updated: ConsoleKit-x11-0.2.10-3.fc9.i386
Apr 06 09:20:07 Updated: gnome-session-2.22.0-2.fc9.i386
Apr 06 09:21:06 Updated: gnome-panel-2.22.0-11.fc9.i386
Apr 06 09:21:06 Updated: libflashsupport-000-0.4.svn20070904.i386
Apr 06 09:21:07 Updated: PackageKit-libs-0.1.11-1.fc9.i386
Apr 06 09:21:09 Updated: PackageKit-0.1.11-1.fc9.i386
Apr 06 09:21:09 Updated: yum-packagekit-0.1.11-1.fc9.i386
Apr 06 09:21:40 Updated: gnome-packagekit-0.1.11-1.fc9.i386

Comment 2 Bug Zapper 2008-05-14 00:12:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Kjartan Maraas 2008-07-02 03:59:27 EDT
I haven't seen this in a while. Close it?
Comment 4 Tomáš Bžatek 2008-07-07 08:10:55 EDT
I'm closing this, feel free to reopen when the issue occurs again.
Nautilus ang gvfs have gone long way since December 07, lot of things have changed.

Note You need to log in before you can comment on or make changes to this bug.